Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.reflect
Class UnresolvablePathException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.cayenne.CayenneRuntimeException
                      org.apache.cayenne.reflect.UnresolvablePathException

All Implemented Interfaces:
  Serializable

    public class UnresolvablePathException

extends CayenneRuntimeException

A runtime exception thrown when `PropertyUtils.getProperty()` finds that there is a null value in middle of the resolved path.

See Also:
  Serialized Form

Constructor Summary
`UnresolvablePathException()`
`UnresolvablePathException(String messageFormat, Object... messageArgs)`
`UnresolvablePathException(String messageFormat, Throwable cause, Object... messageArgs)`
`UnresolvablePathException(Throwable cause)`

Method Summary

Methods inherited from class org.apache.cayenne.CayenneRuntimeException
`getMessage, getUnlabeledMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnresolvablePathException

    public UnresolvablePathException()

### UnresolvablePathException

    public UnresolvablePathException(String messageFormat,
                                     Object... messageArgs)

### UnresolvablePathException

    public UnresolvablePathException(String messageFormat,
                                     Throwable cause,
                                     Object... messageArgs)

### UnresolvablePathException

    public UnresolvablePathException(Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 Apache Cayenne. All Rights Reserved.